<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for destination StructType
 * @subpackage Structs
 */
class Destination extends AbstractStructBase
{
    /**
     * The gatewayName
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: false
     * @var XFkType
     */
    public $gatewayName;
    /**
     * The routeListName
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: false
     * @var XFkType
     */
    public $routeListName;
    /**
     * Constructor method for destination
     * @uses Destination::setGatewayName()
     * @uses Destination::setRouteListName()
     * @param XFkType $gatewayName
     * @param XFkType $routeListName
     */
    public function __construct(XFkType $gatewayName = null, XFkType $routeListName = null)
    {
        $this
            ->setGatewayName($gatewayName)
            ->setRouteListName($routeListName);
    }
    /**
     * Get gatewayName value
     * @return XFkType|null
     */
    public function getGatewayName()
    {
        return $this->gatewayName;
    }
    /**
     * Set gatewayName value
     * @param XFkType $gatewayName
     * @return Destination
     */
    public function setGatewayName(XFkType $gatewayName = null)
    {
        $this->gatewayName = $gatewayName;
        return $this;
    }
    /**
     * Get routeListName value
     * @return XFkType|null
     */
    public function getRouteListName()
    {
        return $this->routeListName;
    }
    /**
     * Set routeListName value
     * @param XFkType $routeListName
     * @return Destination
     */
    public function setRouteListName(XFkType $routeListName = null)
    {
        $this->routeListName = $routeListName;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return Destination
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
